import java.util.*;

public class Liga {
private String NombreLiga;
private Vector<Equipo> equipos = new Vector<Equipo>(20);
private int NumeroEquipos;
private int JugadoresxEquipo;
private String[][] fixture;
private Vector<Partido> Partidos = new Vector<Partido>(200);
/**
 * Crea una Nueva Liga
 */
public Liga () {

}
/**
 * Se elige el nombre de la Liga
 * @param n Nombre de la Liga
 */
public void setNombreLiga (String n){
NombreLiga=n;
}
/**
 * Se obtiene el nombre de la liga
 * @return Nombre de la Liga
 */
public String getNombreLiga(){
	return NombreLiga;
}
/**
 * Se determina en numero de equipos participantes en la liga
 * @param n Equipos Participantes 
 */
public void setNumeroEquipos (int n){
	NumeroEquipos = n;
}
/**
 * Se obtiene la cantidad de equipos participantes
 * @return Numero de Equipos Participantes
 */
public int getNumeroEquipos(){
	return NumeroEquipos;
}
/**
 * Se determina la cantidad maxima de jugadores que posee cada equipo Participante
 * @param j Cantidad de Jugadores por Equipo
 */
public void setJugadoresxEquipo(int j){
	JugadoresxEquipo=j;
}
/**
 * Se obtiene en numero de jugadores por equipo
 * @return Cantidad de Jugadores por Equipo
 */
public int getJugadoresxEquipo(){
	return JugadoresxEquipo;
}
/**
 * Se agrega un equipo participante a la Liga
 * @param e Nuevo Equipo Participante
 */
public void addEquipo (Equipo e){
equipos.add(e);
}
/**
 * Se agrega un nuevo Partido a la Liga
 * @param p Nuevo Partido
 */
public void addPartido (Partido p){
Partidos.add(p);
}
/**
 * Se obtiene un vector que contiene a los Equipos Participantes
 * @return Equipos Participantes
 */
public Vector<Equipo> getEquipos (){
return equipos;
}
/**
 * Retorna un Vector con los partidos de la liga
 * @return Vector con partidos
 */
public Vector<Partido> getPartidos (){
return Partidos;
}
/**
 * Se determina el fixture de la liga
 * @param f Arreglo con las fechas y partidos
 */
public void setFixture(String[][] f){
	fixture=f;
}
/**
 * Se obtiene el Fixture de la Liga
 * @return Arreglo con las fechas y partidos
 */
public String[][] getFixture(){
	return fixture;
}


}
